xmlpp::SchemaBase Class Referenceabstract

Base class for schemas, used for validation of XML files. More...

`#include <libxml++/schemabase.h>`

Inheritance diagram for xmlpp::SchemaBase:

## Public Member Functions

| SchemaBase () noexcept
| ~SchemaBase () override
virtual void | parse_document (const Document * document)=0
| Parse a schema definition from a document.
virtual void | parse_file (const std::string & filename)=0
| Parse a schema definition file.
virtual void | parse_memory (const ustring & contents)=0
| Parse a schema definition from a string.
Public Member Functions inherited from xmlpp::NonCopyable
| NonCopyable (const NonCopyable &)=delete
| NonCopyable (NonCopyable &&)=delete
NonCopyable & | operator= (const NonCopyable &)=delete
NonCopyable & | operator= (NonCopyable &&)=delete

## Additional Inherited Members

Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable () noexcept
virtual | ~NonCopyable ()

## Detailed Description

Base class for schemas, used for validation of XML files.

Since libxml++ 2.38

## Constructor & Destructor Documentation

## SchemaBase()

xmlpp::SchemaBase::SchemaBase | ( |  | ) |

noexcept

## ~SchemaBase()

xmlpp::SchemaBase::~SchemaBase | ( |  | ) |

override

## Member Function Documentation

## parse_document()

virtual void xmlpp::SchemaBase::parse_document | ( | const Document * | document | ) |

pure virtual

Parse a schema definition from a document.

If another schema has been parsed before, that schema is replaced by the new one.

Parameters

  document | A preparsed document tree, containing the schema definition.

Exceptions

  xmlpp::parse_error |

Implemented in xmlpp::RelaxNGSchema, and xmlpp::XsdSchema.

## parse_file()

virtual void xmlpp::SchemaBase::parse_file | ( | const std::string & | filename | ) |

pure virtual

Parse a schema definition file.

If another schema has been parsed before, that schema is replaced by the new one.

Parameters

  filename | The URL of the schema.

Exceptions

  xmlpp::parse_error |

Implemented in xmlpp::RelaxNGSchema, and xmlpp::XsdSchema.

## parse_memory()

virtual void xmlpp::SchemaBase::parse_memory | ( | const ustring & | contents | ) |

pure virtual

Parse a schema definition from a string.

If another schema has been parsed before, that schema is replaced by the new one.

Parameters

  contents | The schema definition as a string.

Exceptions

  xmlpp::parse_error |

Implemented in xmlpp::RelaxNGSchema, and xmlpp::XsdSchema.